`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 01/31/2016 06:22:54 PM
// Design Name: 
// Module Name: enable_sr_tb
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module enable_sr_tb();

   //Inputs in the module enable_sr. Need to use register type
	reg clk = 0;

	//Outputs in the module enable_sr. Need to use net type
   wire enable_D1;
   wire enable_D2;
   wire enable_D3;
   wire enable_D4;

	// Instantiate the Unit Under Test (UUT) for module enable_sr
	enable_sr uut (
		.refreshClk(clk),
		.enable_D1(enable_D1),
		.enable_D2(enable_D2),
		.enable_D3(enable_D3),
		.enable_D4(enable_D4)
		
		
	);

   // Generate the continuous clock signal. Wait for 10ns. Period is 20ns
   always #10 clk = ~clk;

   //Generate error checking and have pass or fail condition	
   always @ (*)
   begin
	   
	   //If 4'b1110,4'b1101,4'b1011 and 4'b0111, no error shows as only one digit is active
	   //Otherise, error shows that more than one enable is active
	   if (enable_D1 == 1 && enable_D2 == 1 && enable_D3 == 1 && enable_D4 == 0) begin 
	   end else if (enable_D1 == 1 && enable_D2 == 1 && enable_D3 == 0 && enable_D4== 1) begin 
	   end else if(enable_D1 == 1 && enable_D2 == 0 && enable_D3 == 1 && enable_D4 == 1) begin
	   end else if(enable_D1 == 0 && enable_D2 == 1 && enable_D3 == 1 && enable_D4 == 1) begin
	   end else
	   $display ("Error, more than one enable is active. Enable_D1=%b, Enable_D2=%b, Enable_D3=%b, Enable_D4=%b", enable_D1,enable_D2,enable_D3,enable_D4);
	
	   // Wait 100 ns for global reset to finish
     
	end
	
	// Need initial whenever we run finish or we need to include it in the begin end 
	initial
		#400 $finish;
        
endmodule
